UpdateWebhookListener
curl --request POST \
--url https://amoy-indexer.sequence.app/rpc/Indexer/UpdateWebhookListener \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"accounts": [
"0xe6eB28398CCBe46aA505b62b96822c2Ce8DAABf4"
],
"contractAddresses": [
"0x9bec34c1f7098e278afd48fedcf13355b854364a"
],
"tokenIDs": [
"100"
],
"events": [
"Transfer(address indexed from, address indexed to, uint256 indexed tokenId)"
]
},
"projectId": 31396,
"url": "https://webhook.site/#!/view/a2859143-0a52-4b69-98f2-a58733e4dcf0"
}
'import requests
url = "https://amoy-indexer.sequence.app/rpc/Indexer/UpdateWebhookListener"
payload = {
"filters": {
"accounts": ["0xe6eB28398CCBe46aA505b62b96822c2Ce8DAABf4"],
"contractAddresses": ["0x9bec34c1f7098e278afd48fedcf13355b854364a"],
"tokenIDs": ["100"],
"events": ["Transfer(address indexed from, address indexed to, uint256 indexed tokenId)"]
},
"projectId": 31396,
"url": "https://webhook.site/#!/view/a2859143-0a52-4b69-98f2-a58733e4dcf0"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
accounts: ['0xe6eB28398CCBe46aA505b62b96822c2Ce8DAABf4'],
contractAddresses: ['0x9bec34c1f7098e278afd48fedcf13355b854364a'],
tokenIDs: ['100'],
events: ['Transfer(address indexed from, address indexed to, uint256 indexed tokenId)']
},
projectId: 31396,
url: 'https://webhook.site/#!/view/a2859143-0a52-4b69-98f2-a58733e4dcf0'
})
};
fetch('https://amoy-indexer.sequence.app/rpc/Indexer/UpdateWebhookListener', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"listener": {
"id": 2435835685,
"projectID": 31396,
"url": "https://webhook.site/#!/view/a2859143-0a52-4b69-98f2-a58733e4dcf0",
"filters": {
"events": [
"Transfer(address indexed from,address indexed to,uint256 indexed tokenId)"
],
"contractAddresses": [
"0x9bec34c1f7098e278afd48fedcf13355b854364a"
],
"accounts": [
"0xe6eb28398ccbe46aa505b62b96822c2ce8daabf4"
],
"tokenIDs": [
"100"
]
},
"name": "webhook.site #b5cf2f",
"updatedAt": "2024-10-10T20:52:58.924369913Z",
"active": true
}
}{
"error": "WebrpcEndpoint",
"code": 0,
"msg": "endpoint error",
"status": 400,
"cause": "<string>"
}{
"error": "WebrpcBadResponse",
"code": -5,
"msg": "bad response",
"status": 500,
"cause": "<string>"
}シークレット
UpdateWebhookListener
POST
/
rpc
/
Indexer
/
UpdateWebhookListener
UpdateWebhookListener
このページは役に立ちましたか?
⌘I